<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.maintain.PipeMfContentMapper">

    <resultMap id="pipeMfContentMap" type="com.tofly.pojo.maintain.PipeMfContent">
        <id property="id" column="ID"/>
        <result property="mfId" column="MF_ID"/>
        <result property="mfSerialNumber" column="MF_SERIAL_NUMBER"/>
        <result property="mfNode" column="MF_NODE"/>
        <result property="mfFlag" column="MF_FLAG"/>
    </resultMap>

    <select id="getPipeMfContentList" resultMap="pipeMfContentMap">
        select b.*
        FROM TF_YMPN_PIPE_MF_RECORD_W a
                 LEFT JOIN TF_YMPN_PIPE_MF_CONTENT_W b
                           on a.ID = b.MF_ID
        where b.MF_ID = #{ID}
        ORDER BY b.MF_SERIAL_NUMBER
    </select>

</mapper>
